summaryrefslogtreecommitdiff
path: root/tools/check-changelog
diff options
context:
space:
mode:
authorTusooa Zhu <tusooa@kazv.moe>2022-08-28 11:13:36 -0400
committerTusooa Zhu <tusooa@kazv.moe>2022-08-28 11:13:36 -0400
commit6aa9b023f04e3151c85591ac02796c4536fa7958 (patch)
treec4e695a0c6192f77b9ad7142e281c7025a346546 /tools/check-changelog
parentf8566e91a69571ae0b9d49867c844eeb575786f0 (diff)
downloadpleroma-6aa9b023f04e3151c85591ac02796c4536fa7958.tar.gz
pleroma-6aa9b023f04e3151c85591ac02796c4536fa7958.zip
Use dedicated script
Diffstat (limited to 'tools/check-changelog')
-rw-r--r--tools/check-changelog22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/check-changelog b/tools/check-changelog
new file mode 100644
index 000000000..970f3066f
--- /dev/null
+++ b/tools/check-changelog
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+echo $CI_MERGE_REQUEST_IID
+ls changelog.d
+count=0
+for i in add remove fix security skip; do
+ [ -f changelog.d/"$CI_MERGE_REQUEST_IID"."$i" ]
+ retcode=$?
+ if [ $retcode -eq 0 ]; then
+ echo "found $CI_MERGE_REQUEST_IID.$i"
+ else
+ echo "no $CI_MERGE_REQUEST_IID.$i"
+ fi
+ count=$(( $count + 1 - $retcode ))
+done
+if [ $count -eq 1 ]; then
+ echo "ok"
+ exit 0
+else
+ echo "must have a changelog entry or explicitly skip it"
+ exit 1
+fi